<section class="content">
  <div class="container-fluid">
    <div class="block-header">
      <div class="row">
        <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
          <ul class="breadcrumb breadcrumb-style ">
            <li class="breadcrumb-item">
              <h4 class="page-title">Crear cita</h4>
            </li>
            <li class="breadcrumb-item bcrumb-1">
              <a routerLink="/admin/dashboard/main">
                <i class="fas fa-home"></i>Home</a>
            </li>
            <li class="breadcrumb-item bcrumb-2">
              <a href="#" onClick="return false;">Agenda</a>
            </li>
            <li class="breadcrumb-item active">Crear Cita</li>
          </ul>
        </div>
      </div>
    </div>
    <div class="row clearfix">
      <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12">
        <div class="card">
          <div class="header">
            <h2>Nueva Cita</h2>
          </div>
          <div class="body">
            <form class="m-4" [formGroup]="NuevaCitaForm" (ngSubmit)="onSubmit()">
              <div class="row">
                <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>Paciente</mat-label>
                    <mat-select formControlName="paciente" required>
                      <mat-option *ngFor="let paciente of pacientes" value="{{paciente.idPacientes}}">
                        {{paciente.Nombre}} {{paciente.Apellido}}
                      </mat-option>
                    </mat-select>
                    <mat-error *ngIf="NuevaCitaForm.get('paciente').hasError('required')">
                      El nombre del paciente es requerido
                    </mat-error>
                  </mat-form-field>
                </div>
                <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>Doctor</mat-label>
                    <mat-select formControlName="doctor" required>
                      <mat-option *ngFor="let doctor of doctores" value="{{doctor.idDoctores}}">
                        {{doctor.Nombre}} {{doctor.Apellido}}
                      </mat-option>
                    </mat-select>
                    <mat-error *ngIf="NuevaCitaForm.get('doctor').hasError('required')">
                      Nombre del doctor es requerido
                    </mat-error>
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>Fecha</mat-label>
                    <input matInput type="date" formControlName="fecha" required>
                    <!-- <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle> -->
                    <!-- <mat-datepicker #picker></mat-datepicker> -->
                    <mat-error *ngIf="NuevaCitaForm.get('fecha').hasError('required')">
                      La fecha es requerida
                    </mat-error>
                  </mat-form-field>
                </div>
                <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>Horario</mat-label>
                    <input (input)="ValidarHorario($event)" matInput formControlName="horario" type="time" required>
                    <mat-error *ngIf="NuevaCitaForm.get('horario').hasError('required')">
                      El horario es requerido
                    </mat-error>
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>Motivo</mat-label>
                    <input matInput formControlName="motivo" required>
                    <mat-error *ngIf="NuevaCitaForm.get('motivo').hasError('required')">
                      El motivo es requerido
                    </mat-error>
                  </mat-form-field>
                </div>
                <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>Servicio</mat-label>
                    <mat-select formControlName="servicio" required>
                      <mat-option *ngFor="let servicio of servicios" value="{{servicio.idServicios}}">
                        {{servicio.Nombre}}
                      </mat-option>
                    </mat-select>
                    <mat-error *ngIf="NuevaCitaForm.get('servicio').hasError('required')">
                      El servicio es requerido
                    </mat-error>
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>Observaciones</mat-label>
                    <textarea matInput formControlName="observaciones"></textarea>
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <button class="mr-3" [disabled]="!NuevaCitaForm.valid " mat-raised-button
                    color="primary">Guardar</button>
                  <button type="button" mat-button>Cancelar</button>
                </div>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
